﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Grayscale.P030_KifuReport.L0005_Report
{
    public interface ReportArgs
    {
        /// <summary>
        /// 出力フォルダーへのパス。
        /// </summary>
        string OutFolder { get; }

        /// <summary>
        /// 出力ファイルへのパス。
        /// </summary>
        string OutFile { get; }

        /// <summary>
        /// 画像フォルダーへのパス。
        /// </summary>
        string ImgFolder { get; }

        /// <summary>
        /// 駒画像ファイル。
        /// </summary>
        string KmFile { get; }

        /// <summary>
        /// 数字画像ファイル。
        /// </summary>
        string SjFile { get; }

        /// <summary>
        /// 駒の横幅
        /// </summary>
        int KmW { get; }

        /// <summary>
        /// 駒の縦幅
        /// </summary>
        int KmH { get; }

        /// <summary>
        /// 数字の横幅
        /// </summary>
        int SjW { get; }

        /// <summary>
        /// 数字の縦幅
        /// </summary>
        int SjH { get; }


        /// <summary>
        /// 将棋盤上の駒。[suji][dan]。
        /// sujiは1～9。danは1～9。0は空欄。つまり 100要素ある。
        /// 「K」「+p」といった形式で書く。(SFEN形式)
        /// </summary>
        string[][] Ban { get; }

        /// <summary>
        /// 先手の持ち駒の数。[0]から、飛,角,金,銀,桂,香,歩 の順。
        /// </summary>
        int[] MotiP1 { get; }

        /// <summary>
        /// 後手の持ち駒の数。[0]から、飛,角,金,銀,桂,香,歩 の順。
        /// </summary>
        int[] MotiP2 { get; }

    }
}
